.main-container {
    margin-top: 20px;
    min-height: 400px;
}

.a-product:active,
.a-product:link,
.a-product:visited {
    color: #007bff;
    text-decoration: none;
    background-color: initial;
}

.product-box {
    margin: 5px 5px 20px;
    box-shadow: 0 0 0 0 rgba(0,0,0,.5), 0 0 10px 0 rgba(0,0,0,.25);
}

.description {
    margin-top: 0.5rem;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 4; /* number of lines to show */
            line-clamp: 4; 
    -webkit-box-orient: vertical;
}